Subject: bug#74619: macOS: <ns-show-prefs> displayed as keybinding for \\[customize] on emacs -nw

From: Robert Pluim <[email-masked]>
Date: Fri, 06 Dec 2024 18:24:26 +0100

>>>>> On Fri, 06 Dec 2024 18:11:10 +0100, Gerd Möllmann <[email-masked]> said:
    >> 
    >> NS specific code should definitely go to ns-win.el.  But is that file
    >> loaded in a -nw session, especially if Emacs is compiled to only
    >> support TTY frames (if that can be done with the NS port)?

Itʼs loaded for me, but my emacs is built with NS support, just run
with "-nw".

    Gerd> I configure --without-ns, and ns-win.el is not loaded in that case.

So (featurep 'ns) is false for you, so the load of term/ns-win in
loadup.el doesnʼt happen.

We could add something like

(if (eq system-type 'darwin)
    (load "term/darwin.el"))

with a new "term/darwin.el" file, I guess (but what about GNUStep?).

Robert
--